@import '~styles/theme';

.image-upload-field {
    padding-top: 0px;

    h4.upload-field-header {
        font-family: PlayfairDisplay;
        font-size: 20px;
        font-weight: bold;
        margin-bottom: 3px;
        color: $secondary-1
    }

    h4 {
        font-family: $chivo-font;
        font-size: 18px;
        letter-spacing: 0.54px;
        margin-bottom: 3px;
    }
    p {
        font-family: $chivo-font;
        font-size: 14px;
        letter-spacing: 0.14px;
        color: #333333;
        margin-bottom: 5px;
    }
    .reset-image {
        font-size: 14px;
        letter-spacing: 0.14px;
        color: #1a6ebb;
        border: 0;
        padding: 0;
        background-color: transparent;

        &:hover, &:focus {
            text-decoration: underline;
        }
    }
    .alert {
        height: 100%;
        overflow: visible;
        p {
            height: auto;
            color: white;
            font-weight: bold;
        }
    }
}

.file-upload-modal {
    text-align: center;

    .modal-header {
        border-bottom: none;
        font-family: $playfair-font;
        font-size: 24px;
        color: $secondary-1;
        margin-bottom: -15px
    }

    .modal-body {
        background-color: $light-blue;
        margin: 20px;
        font-family: $chivo-font;
        font-size: 16px;
        color: $secondary-1;
    }

    .modal-footer {
        border: none;
        justify-content: center;
        margin-bottom: 15px;
    }
}

.upload-button {
    border-style: dashed;
    text-transform: none;
    display: block;
    width:100%;
    height: 100%;
    margin-bottom: 5px;

    .button-contents {
        margin-left: -15px;
        margin-top: 1px;

        div {
            display: flex;
            flex-direction: row;
        }

        .upload-icon {
            height: 25px;
            width: 25px;
        }
        h4 {
            margin-left: 10px;
            margin-top: 1px;
        }
        img {
            max-height: 48px;
            max-width: 48px;
        }
    }
}

.component-header {
    margin-bottom: 10px;
    i {
        color: $secondary-1;
        margin-top: 5px;
        margin-left: 9.5px;
    }
}

.image-upload-tooltip {
    padding-left: 130px;
    .tooltip-inner{
        background-color: $secondary-1;
        text-align:justify;
        max-width: 300px;
        padding-bottom: 1px;
    }

    .arrow {
        left: -200px;
    }

    p {
        font-size: 13px;
        margin-left:10px;
        margin-right:10px;
        color:white;
        height: 100%;
        margin-top: 0px;
    }

    img {
        width: 100%;
        margin-bottom: 5px;
    }
}

.link-button {
    p {
        font-family: $chivo-font;
        font-size: 14px;
        letter-spacing: 0.14px;
        color: #0074B4;
        margin-bottom: 5px;
        margin-left: -32px;
        text-transform: none;
    }
}
